Go Down

Topic: which avr-gcc on linux (Read 462 times) previous topic - next topic

anv

I am trying to compile binaries for arduino for creating mageia 3 rpms. I can build the arduino ide and I can compile avr-gcc without problems. But, avr-gcc version 4.3.2 and 4.3.3 does not support the atmega32u4 of leonardo. Earlier versions like 4.6.2 (which generates much smaller binaries) do but has problems with some sources (i.e. can't compile ethernet library).

I red that the binaries of arduino includes 4.3.2 but I think it must be patched to support leonardo. ┬┐Where can I found that patch and/or instructions for compiling the right avr-gcc?


SurferTim

Why wouldn't the ethernet library compile on later versions of avr-gcc? I had it debugged up to avr-gcc v4.5.1. The latest versions of the IDE (v1.0.1 and later) ethernet libraries now use that change.
http://arduino.cc/forum/index.php/topic,68624.0.html

Go Up